## ros-indigo-yocs-keyop 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_keyop)
find_package(catkin REQUIRED COMPONENTS ecl_exceptions
                                        ecl_threads
                                        ecl_time
                                        geometry_msgs
                                        std_msgs
                                        roscpp)

catkin_package()

include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-yocs-keyop (0.6.4-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-yocs-keyop (0.6.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-yocs-keyop (0.6.2-0trusty) trusty; urgency=high

  * adds a little launcher restructing for muxer and smoother
  * yocs_keyop: renames executable (fixes #51 <https://github.com/yujinrobot/yujin_ocs/issues/51>)
  * yocs_keyop: typo fix
  * yocs_keyop: adds small updates
  * adds yocs_keyop package
  * Contributors: Marcus Liebhardt
  * adds a little launcher restructing for muxer and smoother
  * yocs_keyop: renames executable (fixes #51 <https://github.com/yujinrobot/yujin_ocs/issues/51>)
  * yocs_keyop: typo fix
  * yocs_keyop: adds small updates
  * adds yocs_keyop package
  * Contributors: Marcus Liebhardt

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-yocs-keyop (0.6.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 08 Jul 2014 02:21:00 -0000

ros-indigo-yocs-keyop (0.6.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 08 Jul 2014 02:07:00 -0000

ros-indigo-yocs-keyop (0.5.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 23 Mar 2014 15:00:00 -0000

ros-indigo-yocs-keyop (0.5.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 05 Nov 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.5.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 13 Oct 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.5.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 11 Oct 2013 07:44:00 -0000

ros-indigo-yocs-keyop (0.4.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 11 Oct 2013 07:17:00 -0000

ros-indigo-yocs-keyop (0.4.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.4.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 23 Sep 2013 02:17:00 -0000

ros-indigo-yocs-keyop (0.3.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 01 Jul 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.2.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 23 Sep 2013 02:23:00 -0000

ros-indigo-yocs-keyop (0.2.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 09 Feb 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.2.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 07 Feb 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.2.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 06 Feb 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.1.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 07 Jan 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.1.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-indigo-yocs-keyop (0.1.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 20 Dec 2012 15:00:00 -0000

ros-indigo-yocs-keyop (0.1.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 04 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yocs-keyop
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ecl-exceptions, ros-indigo-ecl-threads, ros-indigo-ecl-time, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/yocs_keyop
Standards-Version: 3.9.2

Package: ros-indigo-yocs-keyop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecl-exceptions, ros-indigo-ecl-threads, ros-indigo-ecl-time, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Keyboard teleoperation for your robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yocs-keyop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
